      program sceptre_dirac
c create a file dirac2.dat wiyh same information of dirac1.dat 
c except for dates which are changed to 'ttttttttttttttttttt' 
      parameter (ida=17,irecl=2048,
     *            iblock=irecl/4,maxnam=51,iunit=18)
      character*10 nfil(2),nfile

      integer*4   ktyp1(maxnam),klen1(maxnam),kadr1(maxnam)
      character   wname1(maxnam)*8, wresr1(maxnam)*19
      character   warr1(11)*72,tdate*19 
      real*4 array1(iblock)
     
      data nfil /'dirac1.dat','dirac2.dat'/
      data tdate /'ttttttttttttttttttt'/
      jf=2
      nfile=nfil(2)
      open (unit=iunit,iostat=iostat,err=5000,status='unknown',
     *      file=nfile)
      jf = 1
      nfile=nfil(1)
      open (unit=ida,iostat=iostat,err=5000,
     *      status='old',
     *      form='unformatted',
     *      recl=irecl,
     *      access='direct',
     *      file=nfile)
      nrecno=1
      read(unit=ida,rec=nrecno,iostat=iostat,err=6000)
     *       wname1,ktyp1,klen1,kadr1,wresr1 
      imin=maxnam
      imax=1
      ihead=0
      do 100 i=1,maxnam
          if(wname1(i).eq.'HEADING') then
              write(iunit,970,iostat=iostat,ERR=7000)
     *              wname1(i), ktyp1(i),klen1(i),kadr1(i),tdate
              nrecno=kadr1(i) 
              nrest=klen1(i)
              ktyp=ktyp1(i)
              nrengl=klen1(i)/72
C              do 50 ir=1,nrengl 
              read(unit=ida,rec=nrecno,iostat=iostat,err=6000)
     *          (warr1(ir),ir=1,nrengl) 
              do 50 ir=1,nrengl
 50           write(iunit,970,iostat=iostat,err=7000)warr1(ir)    
              go to 100
          end  if
          if((wname1(i).eq. '') .or.
     *       (wname1(i).eq.'DIRECTOR').or.
     *       (wname1(i).eq.'ZZZZZZZZ')) go to 100
          if (i .lt. imin) imin=i
          if (i .gt. imax) imax=i 
 100  continue
c      print *,imin,imax 
      ktyp0=4
      klen0=klen1(imin)
      naydif = 0
      do 150 i=imin,imax
          if(ktyp0.ne.ktyp1(i)) naydif=1
          write(iunit,970,iostat=iostat,err=7000)
     *          wname1(i), ktyp1(i),klen1(i),kadr1(i),tdate
 150  continue   
      if(naydif .eq.1) go to 8000
      do 200 i= imin,imax
          nrecno=kadr1(i) 
          nrest=klen1(i)
          ixa=1
 155      ixre=min(nrest,iblock)
          read(unit=ida,rec=nrecno,iostat=iostat,err=6000)
     *           (array1(ix),ix=1,ixre) 
          icoc=ixre/8
          imax=icoc*8
          ires=ixre-imax 
c         0<= ires <=8
          ixam1=ixa-1
          write(iunit,971)wname1(i),ixa,ixre+ixam1
          if (icoc.gt.0) then
c               print *
c     *   ,wname1(i),nrecno,nrest,ixre,ires,ixam1+1,ixam1+imax
          write(iunit,*)(k+ixam1,(array1(j),j=k,k+7),k=1,imax,8)
           endif
           if (ires.ne.0) then
c               print *
c     *    ,wname1(i),nrecno,nrest,ixre,ires,ixam1+imax+1,ixam1+ixre
c                write(iunit,972)ixam1+imax+1,(array1(j),j=imax+1,ixre)
                write(iunit,*)ixam1+imax+1,(array1(j),j=imax+1,ixre)
           endif
           nrecno=nrecno + 1 
           if(nrest.gt.iblock)then 
               nrest=nrest-iblock 
               ixa=ixa+iblock 
               go to 155 
            end if
  200  continue
      close (iunit)
      stop 0 
 970  format(1x,a,3i5,1x,a)
 971  format(1x,a,2i5)
c 972  format(I5,1x,8G12.6) 
c 972  format(I5,1x,1P,8E13.5) 
 5000 print *,'iostat=',iostat,' No se pudo abrir ',nfil(jf)
      stop 5
 6000 print *,'iostat=',iostat,' No se pudo leer registro ',nrecno,
     * ' de  archivo ',nfil(1)
      stop 6
 7000 print *,'iostat=',iostat,' No se pudo escribir ',nfil(2)
      stop 7
 8000 print *,'valor ktyp0 distinto de ktyp1 para ',wname1(i)
      print *,'klen: ',ktyp0,ktyp1(i)
      stop 8
      end
